Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface SequenceIterable

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AdjacentTextNodeMerger, Adjust, Aggregate, AnalyzeString, AnalyzeStringFn, AnyURIValue, ApplyImports, ApplyTemplates, ArithmeticExpression, ArithmeticExpression10, Assign, Assignation, AtomicSequenceConverter, AtomicValue, Atomizer, AttributeCreator, Available, AvailableEnvironmentVariables, Average, AxisExpression, Base64BinaryValue, BaseURI, BasicUpdatingExpression, BigIntegerValue, BinaryExpression, Block, BooleanExpression, BooleanFn, BooleanValue, BreakInstr, CalendarValue, CallTemplate, CardinalityChecker, CastableExpression, CastExpression, Choose, Closure, CodepointEqual, CodepointsToString, CollatingFunction, Collection, Comment, Compare, CompareToIntegerConstant, CompiledClosure, CompiledMemoClosure, CompileTimeFunction, Component, ComputedAttribute, ComputedElement, Concat, ConditionalSorter, Contains, ContextCall, ContextItemExpression, Copy, CopyModifyExpression, CopyOf, CopyOfFn, Count, Current, CurrentDateTime, CurrentGroup, CurrentGroupingKey, CurrentItemExpression, Data, DateTimeConstructor, DateTimeValue, DateValue, DayTimeDurationValue, DecimalValue, DeepEqual, DefaultCollation, DeleteExpression, DistinctValues, Doc, DocAvailable, Doctype, DocumentFn, DocumentInstr, DocumentSorter, DoubleValue, DurationValue, EagerLetExpression, ElementCreator, Empty, EmptySequence, EmptyTextNodeRemover, EndsWith, EquivalenceComparison, Error, ErrorExpression, EscapeURI, EvaluateInstr, Exists, Expression, FilterExpression, FilterFn, FirstItemExpression, FixedAttribute, FixedElement, FloatValue, FoldLeftFn, FoldRightFn, ForceCase, ForEach, ForEachGroup, ForExpression, Fork, FormatDate, FormatInteger, FormatNumber, FunctionArity, FunctionCall, FunctionItemExpression, FunctionName, FunctionSequenceCoercer, GDateValue, GDayValue, GeneralComparison, GeneralComparison10, GeneralComparison20, GeneralComparisonEE, GeneralVariable, GetEnvironmentVariable, GlobalParam, GlobalVariable, GMonthDayValue, GMonthValue, GYearMonthValue, GYearValue, HeadFn, HexBinaryValue, Id, IdentityComparison, Idref, IndexedFilterExpression, IndexedLookupExpression, IndexedValue, IndexOf, InScopePrefixes, Insert, InsertExpression, InstanceOfExpression, Instruction, Int64Value, IntegerRange, IntegerRangeTest, IntegerValue, IntegratedFunctionCall, IsLastExpression, ItemChecker, ItemClosure, IterateInstr, JavaExtensionFunctionCall, KeyFn, Lang, Last, LastItemExpression, LazyExpression, LetExpression, Literal, LocalParam, LocalParamBlock, LocalVariable, LocalVariableReference, MapFn, MapPairsFn, Matches, MemoClosure, Message, Minimax, MultithreadedForEach, NamePart, NamespaceConstructor, NamespaceForPrefix, NegateExpression, NextIteration, NextMatch, Nilled, NormalizeSpace, NormalizeUnicode, NotationValue, NumberFn, NumberInstruction, NumericPromoter, NumericValue, ObjectValue, OuterForExpression, ParentNodeConstructor, ParentNodeExpression, ParseXml, PartialApply, PathExpression, PatternMatchExpression, PatternSponsor, Position, PrecisionDecimalValue, ProcessingInstruction, ProcessRegexMatchInstruction, PromoteToDouble, PromoteToFloat, Put, QNameFn, QNameValue, QualifiedNameValue, QuantifiedExpression, RangeExpression, RegexGroup, Remove, RenameExpression, Replace, ReplaceNodeExpression, ReplaceValueExpression, ResolveQName, ResolveURI, ResultDocument, Reverse, Root, RootExpression, Rounding, SequenceExtent, Serialize, ShareableSequence, SimpleContentConstructor, SimpleExpression, SimpleNodeConstructor, SingleNodeExpression, SingletonAtomizer, SingletonClosure, SingletonComparison, SingletonIntersectExpression, SingletonItem, SlashExpression, SnapshotFn, SortExpression, StartsWith, StaticBaseURI, StreamingApplyTemplates, StreamingCopy, StringFn, StringJoin, StringLength, StringLiteral, StringToCodepoints, StringValue, Subsequence, Substring, SubstringAfter, SubstringBefore, Sum, SuppliedParameterReference, SwitchExpression, SystemFunction, SystemProperty, Tail, TailCallLoop, TailExpression, TailFn, TimeValue, Tokenize, Trace, TraceExpression, TraceInstruction, TraceWrapper, Translate, TreatFn, TryCatch, TupleExpression, TupleSorter, UnaryExpression, Unordered, UnparsedEntity, UnparsedText, UntypedAtomicConverter, UntypedAtomicValue, UriCollection, UseAttributeSets, UserFunctionCall, Value, ValueComparison, ValueOf, VariableReference, VennExpression, While, WithParam, XPathFunctionCall, YearMonthDurationValue

    public interface SequenceIterable

extends Serializable

This interface is a simple subset of the Expression interface, that provides a single method to evaluate the result of an expression as a sequence

Method Summary
`SequenceIterator` | `iterate(XPathContext context)` Return an iterator over the results of evaluating an expression

Method Detail

### iterate

    SequenceIterator iterate(XPathContext context)
                             throws XPathException

  Return an iterator over the results of evaluating an expression

  Parameters:
    `context` - the dynamic evaluation context
  Returns:
    an iterator over the items delivered by the expression
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.